// ===========================================================================
// CApp.cp
// ===========================================================================
//
#include "CApp.h"
#include <LGrowZone.h>
#include <PP_Messages.h>
#include <PP_Resources.h>
#include <PPobClasses.h>
#include <UDrawingState.h>
#include <UMemoryMgr.h>
#include <URegistrar.h>

#include "CDlogBox.h"
#include "CMessPopup.h"

const ResIDT	window_Sample		= 1;


// ===========================================================================
// Main Program
// ===========================================================================

void main(void) {
	SetDebugThrow_(debugAction_Alert);
	SetDebugSignal_(debugAction_Alert);

	InitializeHeap(3);
	UQDGlobals::InitializeToolbox(&qd);
	
	new LGrowZone(20000);

	CApp	theApp;
	theApp.Run();
}


#pragma mark -


// ---------------------------------------------------------------------------
// Constructor
// ---------------------------------------------------------------------------
//

CApp::CApp(void) {
	RegisterAllPPClasses();
	
	RegisterClass_(CDlogBox);
	RegisterClass_(CMessPopup);

	CDlogBox::Create(this);
}


// ---------------------------------------------------------------------------
// Destructor
// ---------------------------------------------------------------------------
//

CApp::~CApp() {
}
