// ===========================================================================
// CMessPopup.h
//
// 1997 Maxym Runov. All rights reserved.
//
// You are free to use this code in any project, 
// but the copyright remains with me.
// Any questions and notes are welcome.
//
// E-mail: max@sunbay.crimea.ua
// ===========================================================================
// Version 1.0

#pragma once
#include <LStdControl.h>

class CMessPopup : public LStdPopupMenu {
	public:
		enum { class_ID = 'CmdP' };
							CMessPopup(LStream *inStream);
		virtual				~CMessPopup();

		virtual ResIDT		GetPopupMenuResID(void) { return mPopupMenuResID; };
		
		virtual	void		SetValue(Int32 inValue);
		virtual	void		SetupCurrentMenuItem(Int16 inCurrentItem);

	protected:
		Int16				mNumCommands;
		CommandT			**mCommandNums;
		ResIDT				mPopupMenuResID;	
		
		virtual void		BroadcastValueMessage(void);
		virtual void		ReadCommandNumbers(void);
		virtual CommandT	CommandFromIndex(Int16 inIndex) const;
};
